.\" Copyright (C) 2004, 2005 Internet Systems Consortium, Inc. ("ISC")
.\" Copyright (C) 2000, 2001 Internet Software Consortium.
.\" 
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\" 
.\" THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES WITH
.\" REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
.\" AND FITNESS. IN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT,
.\" INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
.\" LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
.\" OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
.\" PERFORMANCE OF THIS SOFTWARE.
.\"
.\" $Id: lwres_gai_strerror.3,v 1.13.2.1.8.6 2006/06/29 13:02:31 marka Exp $
.\"
.hy 0
.ad l
.\"     Title: lwres_gai_strerror
.\"    Author: 
.\" Generator: DocBook XSL Stylesheets v1.70.1 <http://docbook.sf.net/>
.\"      Date: Jun 30, 2000
.\"    Manual: BIND9
.\"    Source: BIND9
.\"
.TH "LWRES_GAI_STRERROR" "3" "Jun 30, 2000" "BIND9" "BIND9"
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.SH "NAME"
gai_strerror \- print suitable error string
.SH "SYNOPSIS"
.nf
#include <lwres/netdb.h>
.fi
.HP 20
.BI "char * gai_strerror(int\ ecode);"
.SH "DESCRIPTION"
.PP
\fBlwres_gai_strerror()\fR
returns an error message corresponding to an error code returned by
\fBgetaddrinfo()\fR. The following error codes and their meaning are defined in
\fIinclude/lwres/netdb.h\fR.
.TP 3n
\fBEAI_ADDRFAMILY\fR
address family for hostname not supported
.TP 3n
\fBEAI_AGAIN\fR
temporary failure in name resolution
.TP 3n
\fBEAI_BADFLAGS\fR
invalid value for
\fBai_flags\fR
.TP 3n
\fBEAI_FAIL\fR
non\-recoverable failure in name resolution
.TP 3n
\fBEAI_FAMILY\fR
\fBai_family\fR
not supported
.TP 3n
\fBEAI_MEMORY\fR
memory allocation failure
.TP 3n
\fBEAI_NODATA\fR
no address associated with hostname
.TP 3n
\fBEAI_NONAME\fR
hostname or servname not provided, or not known
.TP 3n
\fBEAI_SERVICE\fR
servname not supported for
\fBai_socktype\fR
.TP 3n
\fBEAI_SOCKTYPE\fR
\fBai_socktype\fR
not supported
.TP 3n
\fBEAI_SYSTEM\fR
system error returned in errno
The message
invalid error code
is returned if
\fIecode\fR
is out of range.
.PP
\fBai_flags\fR,
\fBai_family\fR
and
\fBai_socktype\fR
are elements of the
\fBstruct addrinfo\fR
used by
\fBlwres_getaddrinfo()\fR.
.SH "SEE ALSO"
.PP
\fBstrerror\fR(3),
\fBlwres_getaddrinfo\fR(3),
\fBgetaddrinfo\fR(3),
\fBRFC2133\fR().
.SH "COPYRIGHT"
Copyright \(co 2004, 2005 Internet Systems Consortium, Inc. ("ISC")
